Name:		xplanet
Version:	1.3.1
Release:	%mkrel 1
Summary:	OpenGL based planet renderer
URL:		http://xplanet.sourceforge.net/
License:	GPLv2+
Group:		Toys
Source0:	http://freefr.dl.sourceforge.net/sourceforge/xplanet/%{name}-%{version}.tar.gz
#fix new api calls to libgif5
Patch0:         xplanet-1.3.1-giflib5.patch

BuildRequires:	png-devel
BuildRequires:	jpeg-devel
BuildRequires:	tiff-devel
BuildRequires:	giflib-devel
BuildRequires:	libx11-devel
BuildRequires:	libxscrnsaver-devel
BuildRequires:	freetype2-devel
BuildRequires:	pango-devel

%description
Xplanet is similar to Xearth, where an image of the earth is rendered into
an X window. Azimuthal, Mercator, Mollweide, orthographic, or rectangular
projections can be displayed as well as a window with a globe the user can
rotate interactively. The other planets and some satellites may also be
displayed. The latest version, as well as maps for other planets can be
found at http://xplanet.sourceforge.net. Xplanet can support separate
night and day maps, as well as a separate cloud map.

%prep
%setup -q
%autopatch -p1

%build
# the macro break X output
%configure2_5x --with-xscreensaver --with-x
%make

%install
%makeinstall_std


%files
%doc COPYING ChangeLog
%{_mandir}/man1/%{name}.1*
%{_bindir}/*
%{_datadir}/%{name}


%changelog
* Fri Apr 22 2016 eatdirt <eatdirt> 1.3.1-1.mga6
+ Revision: 1004729
- Upgrade to version 1.3.1

* Thu Jan 07 2016 luigiwalser <luigiwalser> 1.3.0-8.mga6
+ Revision: 920413
- rebuild for giflib
- add patches from omdv to fix build with giflib5

* Wed Oct 15 2014 umeabot <umeabot> 1.3.0-7.mga5
+ Revision: 739504
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.3.0-6.mga5
+ Revision: 690750
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.3.0-5.mga4
+ Revision: 526235
- Mageia 4 Mass Rebuild

* Mon Jun 03 2013 fwang <fwang> 1.3.0-4.mga4
+ Revision: 436274
- rebuild for new libpng

* Mon Jan 14 2013 umeabot <umeabot> 1.3.0-3.mga3
+ Revision: 387315
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 02 2012 pterjan <pterjan> 1.3.0-2.mga3
+ Revision: 324853
- Fix build with new giflib

* Tue Jun 12 2012 eatdirt <eatdirt> 1.3.0-1.mga3
+ Revision: 260090
- Upgrade version to 1.3.0

* Sun Mar 04 2012 luigiwalser <luigiwalser> 1.2.2-4.mga2
+ Revision: 217657
- rebuild for netpbm

* Fri Dec 23 2011 mikala <mikala> 1.2.2-3.mga2
+ Revision: 186830
- Rebuild for new libtiff
- remove %%defattr() & %%clean section
- use %%{buildroot} macro instead of $RPM_BUILD_ROOT

* Sun Sep 18 2011 fwang <fwang> 1.2.2-2.mga2
+ Revision: 144965
- rebuild for new libpng
- new version 1.2.

* Sat Jan 22 2011 ahmad <ahmad> 1.2.1-6.mga1
+ Revision: 33307
- drop BR X11-devel
- add BR libxscrnsaver-devel libice-devel libnetpbm-devel
- imported package xplanet

